org.openstreetmap.josm.plugins.streetside.utils

## Class PluginState

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.utils.PluginState

-     public final class PluginState
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static int` | `imagesToUpload` Images that have to be uploaded.
    `private static int` | `imagesUploaded` Images that have been uploaded.
    `private static int` | `runningDownloads`
    `private static boolean` | `submittingChangeset`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `PluginState()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addImagesToUpload(int amount)` Sets the amount of images that are going to be uploaded.
    `static void` | `finishDownload()` Called when a download is finished.
    `private static void` | `finishedUploadDialog(int numImages)`
    `static int` | `getImagesToUpload()`
    `static int` | `getImagesUploaded()`
    `static String` | `getUploadString()` Returns the text to be written in the status bar.
    `static void` | `imageUploaded()` Called when an image is uploaded.
    `static boolean` | `isDownloading()` Checks if there is any running download.
    `static boolean` | `isSubmittingChangeset()` Checks if there is a changeset being submitted.
    `static boolean` | `isUploading()` Checks if there is any running upload.
    `static void` | `notLoggedInToMapillaryDialog()`
    `static void` | `setSubmittingChangeset(boolean isSubmitting)`
    `static void` | `startDownload()` Called when a download is started.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### submittingChangeset

          private static boolean submittingChangeset

    - #### runningDownloads

          private static int runningDownloads

    - #### imagesToUpload

          private static int imagesToUpload

      Images that have to be uploaded.

    - #### imagesUploaded

          private static int imagesUploaded

      Images that have been uploaded.

  - ### Constructor Detail

    - #### PluginState

          private PluginState()

  - ### Method Detail

    - #### startDownload

          public static void startDownload()

      Called when a download is started.

    - #### finishDownload

          public static void finishDownload()

      Called when a download is finished.

    - #### isDownloading

          public static boolean isDownloading()

      Checks if there is any running download.
      Returns:
        true if the plugin is downloading; false otherwise.

    - #### isSubmittingChangeset

          public static boolean isSubmittingChangeset()

      Checks if there is a changeset being submitted.
      Returns:
        true if the plugin is submitting a changeset false otherwise.

    - #### isUploading

          public static boolean isUploading()

      Checks if there is any running upload.
      Returns:
        true if the plugin is uploading; false otherwise.

    - #### addImagesToUpload

          public static void addImagesToUpload(int amount)

      Sets the amount of images that are going to be uploaded.
      Parameters:
        `amount` - The amount of images that are going to be uploaded.

    - #### getImagesToUpload

          public static int getImagesToUpload()

    - #### getImagesUploaded

          public static int getImagesUploaded()

    - #### imageUploaded

          public static void imageUploaded()

      Called when an image is uploaded.

    - #### finishedUploadDialog

          private static void finishedUploadDialog(int numImages)

    - #### notLoggedInToMapillaryDialog

          public static void notLoggedInToMapillaryDialog()

    - #### getUploadString

          public static String getUploadString()

      Returns the text to be written in the status bar.
      Returns:
        The `String` that is going to be written in the status bar.

    - #### setSubmittingChangeset

          public static void setSubmittingChangeset(boolean isSubmitting)

JOSM Plugins